<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-4.5.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    <!--
        Added the entity Medicamento.
    -->
    <changeSet id="20211111155853-1" author="jhipster">
        <createTable tableName="medicamento">
            <column name="id" type="bigint" autoIncrement="true">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="nombre" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="descripcion" type="${clobType}">
                <constraints nullable="true" />
            </column>
            <column name="fecha_ingreso" type="${datetimeType}">
                <constraints nullable="true" />
            </column>
            <column name="presentacion" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="generico" type="${clobType}">
                <constraints nullable="true" />
            </column>
            <!-- jhipster-needle-liquibase-add-column - JHipster will add columns here -->
        </createTable>
        <dropDefaultValue tableName="medicamento" columnName="fecha_ingreso" columnDataType="${datetimeType}"/>
    </changeSet>

    <!-- jhipster-needle-liquibase-add-changeset - JHipster will add changesets here -->

    <!--
        Load sample data generated with Faker.js
        - This data can be easily edited using a CSV editor (or even MS Excel) and
          is located in the 'src/main/resources/config/liquibase/fake-data' directory
        - By default this data is applied when running with the JHipster 'dev' profile.
          This can be customized by adding or removing 'faker' in the 'spring.liquibase.contexts'
          Spring Boot configuration key.
    -->
    <changeSet id="20211111155853-1-data" author="jhipster" context="faker">
        <loadData
                  file="config/liquibase/fake-data/medicamento.csv"
                  separator=";"
                  tableName="medicamento"
                  usePreparedStatements="true">
            <column name="id" type="numeric"/>
            <column name="nombre" type="string"/>
            <column name="descripcion" type="clob"/>
            <column name="fecha_ingreso" type="date"/>
            <column name="presentacion" type="string"/>
            <column name="generico" type="clob"/>
            <!-- jhipster-needle-liquibase-add-loadcolumn - JHipster (and/or extensions) can add load columns here -->
        </loadData>
    </changeSet>
</databaseChangeLog>
